Subject: Re: [BEHAVE] FW: I-D Action: draft-ietf-behave-nat-mib-09.txt

From: "Jagadish Shivamurthy (jshivamu)" <[email-masked]>
Date: Sun, 3 Nov 2013 07:59:43 +0000

Simon, David, 

Any thoughts on this?
If in case you find NATInstanceIndex (being an integer) a problem in
maintaining persistency, we can consider it to be an SNMPAdminString (of
size 32 or less). This can provide flexibility to implementers to use any
parameter (a name, location, etc) that is more stable and persistence.
However, it would come at small cost on the efficiency.

It will good if we can discuss any issues and solutions and conclude soon.

Thanks
Jagadish  

On 30/10/13 6:19 AM, "Senthil Sivakumar (ssenthil)" <[email-masked]>
wrote:

>Forwarding to the list..
>
>On 10/29/13 3:43 PM, "Hongchi Shih (hshih)" <[email-masked]> wrote:
>
>>
>>
>>On 10/29/13, 7:57 AM, "Simon Perreault" <[email-masked]>
>>wrote:
>>
>>>Le 2013-10-29 10:14, ietfdbh a écrit :
>>>> So what are the rules about the persistence of NAT instances across
>>>> device reboots?
>>>>
>>>> Assuming a chassis-based arrangement with one NAT per board, what
>>>> happens if a board is removed/added/replaced?
>>>>
>>>> How does an NMS align their existing data per NAT with potentially new
>>>> assignments of NAT instance identifiers?
>>>>
>>>> A device might not have the information necessary to assign the same
>>>> numbers to each instance on reboot, so it needs to renumber (thus the
>>>> long discussion, and the addition of ifAlias in RFC2863)
>>>>
>>>> If a particular board is replaced with another just like it, and the
>>>>NAT
>>>> assignments remain the same, it might be inappropriate to align the
>>>> information related to the old board with the new board.
>>>>
>>>> So an NMS should be able to detect when an instance has been simply
>>>> renumbered (the managed entity is the same, but its identifier has
>>>>been
>>>> changed), and it should be able to detect when the thing an instance
>>>> identifier points to has actually changed (possibly rules about
>>>> identifier reuse).
>>>>
>>>> I think identifier reassignments will be an especially sensitive
>>>> consideration for logging, when used to support law enforcement.
>>>>
>>>> It could be important to align SNMP notifications and syslog entries
>>>>and
>>>> ipfix data at the NMS side.
>>>
>>>All very good points.
>>>
>>>> I recommend we standardize the information model of NAT instance
>>>> identifier, so it¹s usage is consistent across multiple protocols and
>>>> across vendors.
>>>
>>>At this moment, one solution I can imagine would be to define an
>>>ifAlias-like object for NAT instances. That's kinda sucky, and far from
>>>what I would call a standardization of the information model of NAT
>>>instance identifiers.
>>>
>>>Any other idea?
>>[*****]
>>That is not sucky.  In fact, we always have an unique index and name to
>>identify a device instance.
>>Normally, the name index is used by XML and/or command line to identify a
>>device.
>>We use a integer value index in MIB table access is because of access
>>performance and efficiency consideration.
>>
>>If we use XML to manage this NAT device, then it will use a "Name string"
>>to identify this NAT instance.
>>
>>Thanks.
>>-Hongchi 
>>
>>
>>>
>>>Thanks,
>>>Simon
>>>-- 
>>>DTN made easy, lean, and smart --> http://postellation.viagenie.ca
>>>NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
>>>STUN/TURN server               --> http://numb.viagenie.ca
>>
>
>_______________________________________________
>Behave mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/behave

---

From: "ietfdbh" <[email-masked]>
Date: Sun, 3 Nov 2013 11:03:20 -0500

Hi,

I would be fine with an ifAlias-like object.

I think the document needs to explain the issue of potential
non-persistence, and the necessary persistence of the ifAlias-like object.
Since most operator will be aware of ifIndex and ifAlias, I recommend using
names that are similar (NATIndex, NATAlias).

David Harrington
[email-masked]
+1-603-828-1401

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Jagadish Shivamurthy (jshivamu)
> Sent: Sunday, November 03, 2013 3:00 AM
> To: Senthil Sivakumar (ssenthil); [email-masked]
> Cc: Hongchi Shih (hshih)
> Subject: Re: [BEHAVE] FW: I-D Action: draft-ietf-behave-nat-mib-09.txt
> 
> Simon, David,
> 
> Any thoughts on this?

---

From: Simon Perreault <[email-masked]>
Date: Sun, 03 Nov 2013 08:59:39 -0800

> names that are similar (NATIndex, NATAlias).

Ok. The next revision will contain those changes.

Thanks a lot for the guidance.

Simon